net.minecraft.network.play.server

## Class S14PacketEntity

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S14PacketEntity

- Direct Known Subclasses:
    S14PacketEntity.S15PacketEntityRelMove, S14PacketEntity.S16PacketEntityLook, S14PacketEntity.S17PacketEntityLookMove

      public class S14PacketEntity
      extends Packet

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `S14PacketEntity.S15PacketEntityRelMove`
    `static class` | `S14PacketEntity.S16PacketEntityLook`
    `static class` | `S14PacketEntity.S17PacketEntityLookMove`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte` | `field_149068_f`
    `protected boolean` | `field_149069_g`
    `protected byte` | `field_149070_d`
    `protected byte` | `field_149071_e`
    `protected byte` | `field_149072_b`
    `protected byte` | `field_149073_c`
    `protected int` | `field_149074_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `S14PacketEntity()`
    `S14PacketEntity(int p_i45206_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `func_149060_h()`
    `byte` | `func_149061_d()`
    `byte` | `func_149062_c()`
    `byte` | `func_149063_g()`
    `byte` | `func_149064_e()`
    `Entity` | `func_149065_a(World p_149065_1_)`
    `byte` | `func_149066_f()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149067_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `java.lang.String` | `toString()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_149074_a

          protected int field_149074_a

    - #### field_149072_b

          protected byte field_149072_b

    - #### field_149073_c

          protected byte field_149073_c

    - #### field_149070_d

          protected byte field_149070_d

    - #### field_149071_e

          protected byte field_149071_e

    - #### field_149068_f

          protected byte field_149068_f

    - #### field_149069_g

          protected boolean field_149069_g

  - ### Constructor Detail

    - #### S14PacketEntity

          public S14PacketEntity()

    - #### S14PacketEntity

          public S14PacketEntity(int p_i45206_1_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149067_1_)

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Packet`

    - #### func_149065_a

          public Entity func_149065_a(World p_149065_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149062_c

          public byte func_149062_c()

    - #### func_149061_d

          public byte func_149061_d()

    - #### func_149064_e

          public byte func_149064_e()

    - #### func_149066_f

          public byte func_149066_f()

    - #### func_149063_g

          public byte func_149063_g()

    - #### func_149060_h

          public boolean func_149060_h()